DCOPStub Class Reference

`#include <dcopstub.h>`

## Public Types

enum | Status { CallSucceeded, CallFailed }

## Public Member Functions

| DCOPStub (const QCString &app, const QCString &obj)
| DCOPStub (DCOPClient *client, const QCString &app, const QCString &obj)
| DCOPStub (const DCOPRef &ref)
QCString | app () const
QCString | obj () const
Status | status () const
bool | ok () const

## Protected Types

enum | never_use_t { never_use }

## Protected Member Functions

void | setStatus (Status _status)
virtual void | callFailed ()
DCOPClient * | dcopClient ()
| DCOPStub (never_use_t)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Abstract base class for dcop stubs as created by the dcopidl2cpp compiler.

Definition at line 41 of file dcopstub.h.

## Constructor & Destructor Documentation

DCOPStub::DCOPStub | ( | const QCString & | app,
|  | const QCString & | obj
| ) |  |

Creates a DCOPStub for application `app` and object `obj`.

Parameters

  app | the application id
  obj | the object id

Definition at line 36 of file dcopstub.cpp.

DCOPStub::DCOPStub | ( | DCOPClient * | client,
|  | const QCString & | app,
|  | const QCString & | obj
| ) |  |

Creates a DCOPStub for application `app` and object `obj` that operates on the DCOPClient `client`.

Parameters

  client | the DCOPClient
  app | the application id
  obj | the object id

Definition at line 41 of file dcopstub.cpp.

DCOPStub::DCOPStub | ( | const DCOPRef & | ref | ) |

explicit

Creates a DCOPStub for application ref.app() and object ref.obj()

Parameters

  ref | the DCOP reference

Definition at line 50 of file dcopstub.cpp.

## Member Function Documentation

QCString DCOPStub::app | ( |  | ) | const

Return the application id.

Returns
  the application id

Definition at line 87 of file dcopstub.cpp.

void DCOPStub::callFailed | ( |  | ) |

protected virtual

Invoked whenever a call fails.

The default implementation sets the status to CallFailed.

Definition at line 82 of file dcopstub.cpp.

DCOPClient * DCOPStub::dcopClient | ( |  | ) |

protected

The dcopClient this stub operates on.

Either the specific one specified in the constructor or DCOPClient::mainClient.

Returns
  the stub's DCOPClient

Definition at line 60 of file dcopstub.cpp.

QCString DCOPStub::obj | ( |  | ) | const

Return the object id.

Returns
  the object id

Definition at line 92 of file dcopstub.cpp.

bool DCOPStub::ok | ( |  | ) | const

Return whether no error occurred,.

Returns
  true if the last call was successful, false otherwise

See also
  status();

Definition at line 77 of file dcopstub.cpp.

void DCOPStub::setStatus | ( | Status | _status | ) |

protected

Sets the status to status.

Possible values are 'CallSucceeded' and 'CallFailed'

Parameters

  _status | the new status

See also
  status()

Definition at line 72 of file dcopstub.cpp.

DCOPStub::Status DCOPStub::status | ( |  | ) | const

Return the status of the last call, either `CallSucceeded` or `CallFailed`.

Returns
  the status of the last call

See also
  ok();

Definition at line 67 of file dcopstub.cpp.

The documentation for this class was generated from the following files:

- dcopstub.h
- dcopstub.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys